#
# spec file for package goffice-0_8
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           goffice-0_8
%define _name   goffice
Version:        0.8.17
Release:        17.2
# FIXME: on upgrade to > 0.8.17, change versioned Obsoletes: <= to <
Url:            http://www.gnumeric.org/
Summary:        GLib/GTK+ Set of Document-Centric Objects and Utilities
License:        GPL-2.0
Group:          System/GUI/GNOME
Source:         http://download.gnome.org/sources/goffice/0.8/%{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM goffice-0_8-pcre-8_30.patch bgo#670316 dimstar@opensuse.org -- Port pcre_info to pcre_fullinfo to support pcre 8.30.
Patch0:         goffice-0_8-pcre-8_30.patch
# PATCH-FIX-UPSTREAM goffice-0_8-pcre16.patch dimstar@opensuse.org -- Fix build against pcre16 enabled pcre. Not submitted upstream, as goffice 0.8 is unmaintained and 0.9.x does not suffer from this issue.
Patch1:         goffice-0_8-pcre16.patch
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-common
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgsf-devel
BuildRequires:  pcre-devel
%if 0%{?suse_version} > 1210
# For pcretest
BuildRequires:  pcre-tools
%endif
BuildRequires:  translation-update-upstream
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These are common operations for document-centric applications that
   are conceptually simple, but complex to implement fully. -
   Plug-ins

- Load and save documents

- Undo and redo

GOffice is a GLib/GTK+ set of document-centric objects and utilities.

%package -n libgoffice-0_8-8
Summary:        GLib/GTK+ Set of Document-Centric Objects and Utilities
Group:          System/Libraries
Recommends:     %{name}-lang
Provides:       %{name} = %{version}
# Help upgrades from pre-slpp packages
Provides:       %{_name} = %{version}
# FIXME: on upgrade, change <= to <
Obsoletes:      %{_name} <= %{version}

%description -n libgoffice-0_8-8
These are common operations for document-centric applications that
   are conceptually simple, but complex to implement fully. -
   Plug-ins

- Load and save documents

- Undo and redo

GOffice is a GLib/GTK+ set of document-centric objects and utilities.

%package devel
Summary:        Development files for goffice
Group:          Development/Libraries/GNOME
Requires:       libgoffice-0_8-8 = %{version}
Requires:       pcre-devel

%description devel
GOffice is a GLib/GTK+ set of document-centric objects and utilities.

This package contains files needed to develop applications using
goffice.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1
translation-update-upstream

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -print -delete
%find_lang %{_name}-%{version}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgoffice-0_8-8 -p /sbin/ldconfig

%postun -n libgoffice-0_8-8 -p /sbin/ldconfig

%files -n libgoffice-0_8-8
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog MAINTAINERS NEWS README
%{_libdir}/libgoffice-0.8.so.*
%dir %{_libdir}/goffice
%{_libdir}/goffice/%{version}/
%dir %{_datadir}/goffice
%{_datadir}/goffice/%{version}/
%dir %{_datadir}/pixmaps/goffice
%{_datadir}/pixmaps/goffice/%{version}/

%files devel
%defattr (-, root, root)
%{_includedir}/libgoffice-0.8/
%{_libdir}/libgoffice-0.8.so
%{_libdir}/pkgconfig/libgoffice-0.8.pc
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%doc %{_datadir}/gtk-doc/html/goffice-0.8/

%files lang -f %{_name}-%{version}.lang

%changelog
* Sun Jan 19 2014 dmitry_r@opensuse.org
- Fix recommended language package name (goffice-0_8-lang instead
  of goffice-lang).
* Wed Nov 14 2012 dimstar@opensuse.org
- Add goffice-0_8-pcre16.patch: fix build when using pcre that was
  built with --enable-pcre16. In this case, the output of
  "pcretest -C" is "UTF-8 and UTF-16 support", which was not cought
  by the original regex in configure.in.
- Add gnome-common BuildRequires and call to gnome-autogen.sh, as
  above patch touches the build system.
* Sun Feb 12 2012 dimstar@opensuse.org
- Add goffice-0_8-pcre-8_30.patch: Fix build with pcre 8.30 by
  porting pcre_info to pcre_fullinfo.
* Wed Jan 25 2012 cfarrell@suse.com
- license update: GPL-2.0
* Thu Jan 19 2012 vuntz@opensuse.org
- Rename source package from goffice to goffice-0_8, to keep the
  0.8 branch of goffice after upgrade to 0.9.
- Apply shared library packaging policy:
  + Create a libgoffice-0_8-8 subpackage.
  + Add Provides/Obsoletes for goffice 0.8, to help smooth
    upgrades.
  + Add a Provides for goffice-0_8 to make lang subpackage
    installable.
  + Note that it's fine to ship the data files in this subpackage
    as they all live in a versioned directory.
- On Factory/12.2 and later, add pcre-tools BuildRequires to make
  sure pcretest is installed, to fix build.
- Remove explicit Requires from devel subpackage, as those will be
  added the pkgconfig() way: cairo-devel, gconf2-devel,
  glib2-devel, gtk2-devel, libgsf-devel, libxml2-devel,
  pango-devel.
* Mon Aug  1 2011 vuntz@opensuse.org
- Update to version 0.8.17:
  + Plug leaks.
  + Fix noisy leak. [bgo#652420]
* Fri Jun 17 2011 vuntz@opensuse.org
- Update to version 0.8.16:
  + Improve ODF 1.2 output of fraction format.
  + Fix long-double compilation issue.
  + Improve accuracy of complex power.
  + Fix GOFormat problem resulting in "-0". [bgo#650928]
- Stop using source service to download the tarball, as Factory
  will move away from this.
* Sun May 22 2011 dimstar@opensuse.org
- Update to version 0.8.15:
  + bgo#647324: Fix format string parsing with localized colour
    names.
  + bgo#646700: Fixed closed bezier spline evaluation.
  + bgo#646832: Implement dropbar plots with linear or logarithmic
    index axis.
  + bgo#647367: Fix legends for plots with marker only style.
  + bgo#649485: Don't use badly rounded values when clipping
    markers.
  + bgo#650515: Implement probability plots with data as y values.
  + Plug memory leaks.
  + Detect more cases of linear-regression gone bad.
* Mon Apr 18 2011 dimstar@opensuse.org
- Update to version 0.8.14:
  + bgo#643767: Implement a GSettings backend for GOConf.
  + bgo#644222: Fix gnumeric crash when monitoring settings changes
  + Fix memory leaks.
  + Allow GOConf to handle absolute keys.
- Convert to source service: download tar.bz2 file and update .spec
  file with correct version.
* Sun Mar 20 2011 dimstar@opensuse.org
- Update to version 0.8.13:
  + bgo#636158: Write text formats to ODF.
  + Fixed memory leaks found by cppcheck analysis.
  + bgo#638738: Fixed drop lines in line plots.
  + bgo#639840: Invalidate canvas items after reordering to force a
    redraw?
  + bgo#640438: Fix axis limits serialization.
  + bgo#640571: Fix problem with engineering formats.
* Sun Feb 27 2011 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Fri Nov 26 2010 dimstar@opensuse.org
- Update to version 0.8.12:
  + bgo#631242, bgo#630784: Fix US 30/360 date calculations.
  + bgo#631504: Fixed sorting with accentuated characters.
  + bgo#632310: Allow filled plots to be displayed behind the grids
  + Fixed patterns with cairo-1.10.
  + bgo#633735: Fixed flawed exponential fit in graphs for small
    values.
  + bgo#633965: Fixed an infinite loop condition in cubic spline
    evaluation.
  + Fix GOImage-vs-cairo lifecycle issue.
  + Fix loading of weird themes.
* Sat Oct  2 2010 vuntz@opensuse.org
- Update to version 0.8.11:
  + Implement custom grids in xyz plots. [bgo#624273]
  + Update API documentation.
  + Improve fractional days support for date axes.
  + Draw charset/locale selectors with "radio" buttons.
  + Fix charset problem for Japanese. [bgo#627829]
* Sun Sep  5 2010 vuntz@opensuse.org
- Update to version 0.8.10:
  + Make sure the first rather than the last error is shown.
  + Provide the opportunity of all errors to be shown.
  + Always use real line width when evaluating dashes. [bgo#442546]
  + Update x and y limits when data change for xyz plots.
    [bgo#627288]
  + Do not crash when displaying cubic spline with no abscissa.
    [bgo#627507]
  + Do not save image filling with no image. [bgo#627690]
  + Don't use g_free instead of xmlFree. [bgo#627700]
  + Optionaly delete trendlines from legend. [bgo#628031]
  + Fix critical in go_doc_finalize. [bgo#628467]
  + Fixed a potential crasher in
    gog_styled_object_document_changed. [bgo#628671]
  + Fixed GOImage references management. [bgo#628732]
  + Limit formats to sane number of decimals. [bgo#627066]
  + Fix minor go_string_replace issue.
  + Plug leaks.
  + Fix char-xmlChar confusion.
  + Fix graph crash. [bgo#628259]
  + Improve go_format_is_date.
  + Improve handling of date axes with time-of-day.
  + Fix FMR on image load. [Part of bgo#628467]
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 0.8.9:
  + bgo#626206, bgo#626263, bgo#626305: Don't crash when loading a
    corrupted chart.
  + Fix blur in zoomed charts.
  + bgo#626665: Fix memory leak and criticals in graph editor.
  + bgo#531070: Allow themes defined as xml files.
  + bgo#626461: Update currencies.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update to version 0.8.8:
  + Make sure that go_format_sel_format_classification returns the
    value used by the format selector. [bgo#625454]
  + Do not take manually placed charts into account when evaluating
    rows and columns in GogGraph.
  + Fixed contour plots legend. [bgo#623887]
  + Add go_string_replace function.
  + Add functions to manage GOFormatDetails.
  + Fix go_conf notification problem. [bgo#625549]
  + Implement weekly ticks for date axes. [bgo#624340]
* Tue Jul 27 2010 andrea@opensuse.org
- Update to version 0.8.7:
  + Implement cumulative histograms.
  + Make histogram able to use raw data.
  + Implement equations rotation. [bgo#622782]
- Changes from version 0.8.6:
  + Clean-up some win32 code.
  + Fix point-on-graph crash. [bgo#620198]
  + Ensure format menu has yyyy-mm-dd.
  + Improve docs.
  + Fix currency ordering. [bgo#621336]
  + Fix rounding problems for very large numbers.
- Changes from version 0.8.5:
  + Fix the --without-gtk winbuild. [bgo#619312]
  + Fix trend-line problem with inverted x-axis. [bgo#619958]
- Changes from version 0.8.4:
  + Fix the --without-gtk build. [bgo#618592]
  + Regression fixes.
  + Improve linear regression accuracy.
  + Plug leaks.
- Changes from version 0.8.3:
  + Improve probability plots.
  + Implement the "combo-activate" signal in GOCombo. [bgo#583175]
  + Use markup for graph tips.
  + Fix week numbers issue.
  + Fix matrix inversion crash. [Part of bgo#617469]
  + Fix win32 configuration problem. [bgo#617672]
* Wed Apr 28 2010 dimstar@opensuse.org
- Update to version 0.8.2:
  + bgo#608422: Support fd:// URIs on win32
  + Add more GOPath API
  + bgo#613523: Implement conf notification in keyfile case
  + Fix distance calculation for arc, ellipse, polygon, polyline,
    and rectangle
  + Support rotation for text on canvas
  + Add PolyPolygon and Path
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 0.8.1:
  + bgo#609833: Remove libglade dependency from pc file.
  + bgo#610434: Use gtk_buildable_get_name instead of
    gtk_widget_get_name where ppropriate.
  + bgo#610435: Fix crash in GogGuru.
  + bgo#611163: Fix cubic splines with invalid data.
  + bgo#611415: Fix locale selector issue.
  + Canvas improvements.
- Remove the libglade workaround.
* Sun Feb 14 2010 vuntz@opensuse.org
- Update to version 0.8.0:
  + Do not crash when a chart contains no plot. [bgo#607960]
  + Do not crash when deleting a grabbed item. [bgo#609747]
  + Add "autoload" flag for plugins.
  + Use locale independent markup. [bgo#608047]
* Sat Feb 13 2010 vuntz@opensuse.org
- Remove libglade-2.0 from libgoffice-0.8.pc with sed, until
  bgo#609833 gets fixed.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 0.7.18:
  + Fix description of ring plots. [bgo#606162]
  + Add a name to regression curves for display in legends.
    [bgo#605040]
  + Fixed GocPolygon bounds. [bgo#605496]
  + Moved plot area position page from plot to chart. [bgo#605771]
  + Add sample to the plot type selector. [bgo#495781]
  + Don't use multiline GtkLabel. [bgo#606162]
* Wed Dec 16 2009 vuntz@opensuse.org
- Update to version 0.7.17:
  + Fixed a canvas performance issue. [bgo#603813]
  + Update property page when style changes after reordering.
    [bgo#604229]
  + Fix context sensitive help support on win32.
  + Make GOCmdContext require less implementation.
* Fri Dec  4 2009 vuntz@opensuse.org
- Update to version 0.7.16:
  + Add parent name for new objects in the graph guru "Add" menu.
  + Fix configuration loading when using .gnumericrc. [bgo#600654]
  + Implement error bars in radar and polar plots. [bgo#572720]
  + Add an option for negative values display in pies and rings.
    [bgo#152614]
  + Add trend lines to legend. [bgo#383518]
  + Build color from color names usung gdk_parse_color.
    [bgo#601114]
  + Fix crashes in probablility and scatter plots. [bgo#603015,
    bgo#603016]
  + Support multiple series in probability plots. [bgo#603013]
  + Eliminate most uses of "float".
- Changes from version 0.7.15:
  + Fix bounds update of GocItem. [bgo#598091]
  + Prepare for GSEAL_ENABLE.
  + Display coordinates when moving the mouseover a graph.
    [bgo#382666]
  + Make titles the first logical child and ensure they are
    rendered last. Really fixes bgo#152675.
  + Fix graph scale after a size change. [bgo#599887]
  + Make chart position persistent in auto mode. [bgo#152674]
  + Canvas improvements for arrows.
- Changes from version 0.7.14:
  + Fix some translatable strings. [bgo#596003]
  + Fix unicolor gradient brightness.
  + Fix custom point marker in scatter plots. [bgo#596585]
  + Fixed various issues related to image filling.
  + Extensions for XLL support in Gnumeric. [bgo#597849]
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 0.7.13:
  + Fix various problems with new canvas.
* Wed Sep  9 2009 dimstar@opensuse.org
- Update to version 0.7.12:
  + bgo#593608 - Deprecated GOStyle::outline.
  + bgo#593937, bgo#594070, bgo#594077 - Fixed import of surface
    plots from excel.
* Tue Sep  1 2009 vuntz@novell.com
- Update to version 0.7.11:
  + Fix canvas item realize/unrealize problems.  [bgo#593593]
* Mon Aug 31 2009 dimstar@opensuse.org
- Update to version 0.7.10:
  + Canvas improvements.
  + Removed FooCanvas.
  + Migrated from Glade to GtkBuilder.
  + bgo#592283 - Namespace issues.
- Drop libglade2-devel BuildRequires and Requires in devel package.
* Sun Aug 16 2009 dominique-obs@leuenberger.net
- Update to version 0.7.9:
  + bgo#586654 - Improve number style output to ODF.
  + Improve currency output to ODF.
  + bgo#587171 - Fix hang when writing date with invalid format.
  + bgo#585298 - Align surface ticks with grid.
  + bgo#589511, bgo#589512 - Fixed various contour plots related
    issues.
  + bgo#590416 - Comparison line for probability plots.
  + New cairo based canvas.
  + bgo#586567 - Fix format localization problem.
  + bgo#588138 - Fix crash with Win32 configuration.
  + bgo#590903 - Fix axis issues near zero.
  + bgo#590908 - Improve log-scale axes.
- No longer needed to rename sr@Latn to sr@latin.
* Mon Jun 22 2009 dominique-obs@leuenberger.net
- Update to version 0.7.8:
  + Add some odf GOFormat output utilities
  + Handle scale attributes in markup
  + Add functions to generate number formats
  + Make format classification function public
  + Fix inc/dec precision for accounting format
  + Introduce master include file
  + Activate formatting support for negative elapsed times.
* Sun May 24 2009 vuntz@novell.com
- Update to version 0.7.7:
  + Modified serialization of pango markup to support all weights
  + Add "pristine" as GODoc property.
  + Properly handle date conventions in graphs.
  + Support formatted editing of graph limits that are dates and
    times. [bgo#574681]
  + Implement new calendar button widget.
* Thu May  7 2009 vuntz@novell.com
- Update to version 0.7.6:
  + Fixed segfault during documentation generation. [bgo#580296]
  + Improve log axes' tick calculation. [bgo#375756]
* Mon Apr 27 2009 vuntz@novell.com
- Update to version 0.7.5:
  + Fixed gconf and gmathml propagation to pc file. [bgo#576497]
  + Added a new plot type: GogColorPolarPlot.
  + Use priority when looking up savers by extension or mime.
  + Add new go_format_is_time function.
  + Pick sane bounds for time-formatted axes.  [Part of bgo#574681]
  + Pick sane bounds for date-formatted axes.  [Part of bgo#574681]
  + Add magic date and time formats.
- Drop goffice-fix-gconf-dep.patch: fixed upstream.
* Mon Mar 23 2009 vuntz@novell.com
- Add goffice-fix-gconf-dep.patch to fix gconf detection in
  pkg-config.
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 0.7.4:
  + Add go_gtk_show_url. [bgo#559021]
  + Don't display markers in histogram legend. [bgo#574340]
  + Skip points corresponding to invalid valies in pie charts.
    [bgo#574348]
  + Correctly use all points defined in bar/columns plot series.
    [bgo#574349]
  + Avoid unused direct shlib deps. [bgo#572910]
  + Set a default family when none is given. [bgo#575318]
  + Fix a pixbuf scaling problem in foocanvas.
  + Improve handling of localized formats.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Feb 26 2009 vuntz@novell.com
- Update to version 0.7.3:
  + Experimental support for equation using gmathml (disabled by
    default)
  + Add --without-long-double option. [bgo#557045]
  + Fixed various regressions in contour plots.
  + Add XYZ series based contour plots.
  + Drop the libgome dependency. [bgo#558709]
  + Made spline interpolation really use Bezier cubic splines.
  + Add closed Bezier and cubic spline interpolation.
  + Make drop lines go to the axis instead of chart bottom (or
    left).
  + Make possible to add an application specific custom widget to
    the graph editor.
  + Fixed critical in graph_typeselect_minor. [bgo#567931]
  + Fixed crash when adding series to bar chart. [bgo#572354]
  + Plug leaks.
  + Fix memory corruption issue. [bgo#561708]
  + Fix problem with formats like "0.0E-00". [bgo#563601]
  + Put the old 29-Feb-1900 problem to rest.
  + Fix fd://<n> uris after lobognomification.
  + Fix doc build with respect to the mathml stuff. [bgo#572483]
  + Clean up glib includes. [bgo#564021]
- Remove BuildRequires: gtk-doc, libgnomeui-devel
- Remove Requires of the devel package: libart_lgpl-devel,
  libbz2-devel, libgnome
- Merge the doc package in the devel package, and add the relevant
  Obsoletes/Provides.
- Remove unneeded autoreconf/intltoolize calls.
* Sat Jan 31 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Sun Jan 25 2009 vuntz@novell.com
- Remove BuildRequires and Requires on libgnomeprint-devel.
  Fix bnc#404826.
* Sat Jan 17 2009 crrodriguez@suse.de
- remove la files, baby step to kill references of libavahi-*.la
  distribution-wide
* Fri Oct 24 2008 maw@suse.de
- Update to version 0.7.2:
  + Bugs fixed: bgo#551128, bgo#500168, bgo#555161, bgo#555757,
    and bgo#550898.
* Thu Sep  4 2008 mboman@novell.com
- Updated to version 0.7.1:
  + Bugs fixed: bgo#348780, bgo#542506, bgo#543986, bgo#522458,
    bgo#545016, bgo#549249, bgo#534642, bgo#536276, bgo#442773,
    bgo#537541, bgo#482319, bgo#527249
  + Relaced remaining libart calls.
  + Reverse legend ordering for stacked 1.5d plots.
  + Added support for 3d plot axes and backplanes.
  + Implemented a user interface for 3d projection settings.
  + Work around valgrind bug.
  + Moved GOConf code from gnumeric to goffice.
  + Fixed plot types activation/deactivation issues.
  + Add singleton support to scatter and bars/columns plots.
  + Tune bubble size calc to be closer to other implementions.
  + Add EPS export for charts if cairo supports.
  + Enable the use of dolt.
  + Fix formats on win32.
  + Add go_format_is_invalid.
  + Improve date convention framework.
  + Fix problem with [Enter] causing infinite recursion.
* Tue Apr  1 2008 sbrabec@suse.cz
- Updated to version 0.6.2:
  * Set Length to 0 for invalid series in 1.5d plots. (bgo#514642)
  * Fix memory handling for 1.5d plots. (bgo#517995)
  * Automate library, headers, and .pc versioning.
  * Fix critical for bogus dates.  (bgo#511435)
  * Import Pango enhancements from Gnumeric.
  * Fix a crash when selecting a graph title. (bgo#501831)
  * Fix axis label position. (bgo#501000)
  * Handle inverted axis when clamping axis position.
  * Fix axis position warnings.
  * Fix increase of decimals for scientific notation. (bgo#500356)
  * Fix spurious cairo_show_page call when printing charts.
    (bgo#500017)
  * Fix another crash in gog_barcol_view_render. (bgo#498846)
  * Fix format problem with simplified exponential formats.
    (bgo#500393)
  * Fix crash in gog_barcol_view_render. (bgo#497777)
  * Improve classification of date formats.
  * Draw a frame around the graph area in graph editor.
  * Improve legend swatch appearance.
  * Populate the add button of the graph editor with more items.
  * Fix xy color scale when some data are missing. (bgo#475394)
  * Fix NULL pointer crash in gog_line_view_render(). (bgo#492485)
  * Add the ability to make a GogObject invisible.
  * Fix moving-average problem.  (bgo#491328)
  * Fix ABR in spline code.  (bgo#492158)
  * Fix crash in gog_renderer_update. (bgo#477052)
  * Copied FFT and complex numbers code from gnumeric.
  * Some extensions for OOX charts.
  * Fix format selector crash (bgo#475136).
  * Don't close image save as dialog after wrong extension.
    (bgo#420451)
  * Add function to test if a format has an hour field.
  * Re-enable GTK_DISABLE_DEPRECATED
  * Fix format dialog crash.  (bgo#480971)
  * Fill support for polar xy plots.
  * Interpolation support for polar plots.
  * Fix "fd://0" handling in go_shell_arg_to_uri.
  * Fix default date format.
  * Add function to tell month/day order in format.
* Wed Jan 30 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
- Removed unneeded .la files.
* Thu Aug  9 2007 jpr@suse.de
- Fix array overflow (#287073)
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Aug  3 2007 jpr@suse.de
- Update to 0.4.2
- Foocanvas bug that scaled images by 1 extra pixel. (BGO #314864)
- Fix compilation for Gtk+ trunk.
- Fix chart guru help button. (BGO #394181)
- Minor memory leak.
- Make 64bit clean. (BGO #340552)
- Fault tolerance for unknown types on load. (BGO #419955)
- Fix icon paths on windows. (BGO #442707)
- Let file savers specify a mime type.
- Fix reversed-literal problem with formats.  (BGO #444247)
- Add support for cubic splines.
- Fix graph rendering on big endian machines. (BGO #432532)
* Tue Jul 10 2007 maw@suse.de
- Update to version 0.3.8, which:
- Adds preconditions to the text combo widget's API functions
- Fixes bugzilla.gnome.org #343507, #401588, and #431256.
- Add libbz2-devel and pcre-devel to the -devel subpackage
  Requires: section; while at it, resort it in alphabetical order.
* Tue Mar  6 2007 jhargadon@suse.de
- update to version 0.3.7
- Add more line styles
- Separate the format selector from format internals
- Total rewrite of number formatting
- Remove embedded PCRE
- Generalize number formatting
- Add a half pie plots
- Add initial support for moving objects by mouse
- Add a resolution setting in image export file chooser
- Add gtk-doc support
- Improve scientific format
- many bug fixes
* Tue Jan  9 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Sat Sep 30 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Sep 27 2006 jhargadon@suse.de
- update to version 0.2.1
- Back port some fixes for free memory reads that were causing
  problems on freebsd
- Fixed a sign in equation [#328236]
* Wed Aug 30 2006 ro@suse.de
- make it build (undef GTK_DISABLE_DEPRECATED in go-combo-box.c)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 sbrabec@suse.cz
- Updated to version 0.1.2.
* Fri Nov  4 2005 sbrabec@suse.cz
- New SuSE package, version 0.1.0.
